<% if view == :deleted %>
  <% if allowed_to? :restore, :document, trashable_deleted_resource: document %>
    <%= icon_link_to "refresh-line", restore_document_path(document), t("actions.restore", scope: "decidim.admin"), method: :patch, class: "action-icon--restore" %>
  <% end %>
<% else %>
  <% if allowed_to? :update, :document, document: %>
    <%= icon_link_to "settings-4-line", edit_settings_document_path(document), t("actions.manage", scope: "decidim.collaborative_texts") %>
    <%= icon_link_to "pencil-line", edit_document_path(document), t("actions.edit", scope: "decidim.collaborative_texts"), class: "action-icon--edit" %>
  <% end %>
  <%= icon_link_to "eye-line", resource_locator(document).path, t("actions.preview", scope: "decidim.admin"), class: "action-icon--preview", target: :blank, data: { "external-link": false } %>
  <% if allowed_to? :update, :document, document: %>
    <% if document.published? %>
      <%= icon_link_to "close-circle-line", unpublish_document_path(document), t("actions.unpublish", scope: "decidim.admin"), method: :put, class: "action-icon--unpublish" %>
    <% else %>
      <%= icon_link_to "check-line", publish_document_path(document), t("actions.publish", scope: "decidim.admin"), method: :put, class: "action-icon--publish" %>
    <% end %>
  <% end %>
  <% if allowed_to? :soft_delete, :document, trashable_deleted_resource: document %>
    <%= icon_link_to "delete-bin-line", soft_delete_document_path(document), t("actions.soft_delete", scope: "decidim.admin"), method: :patch, class: "action-icon--delete", data: { confirm: t("actions.confirm_delete_document", scope: "decidim.collaborative_texts") } %>
  <% else %>
    <%= icon "delete-bin-line", class: "action-icon action-icon--disabled", role: "img", aria_label: t("actions.soft_delete", scope: "decidim.admin") %>
  <% end %>
<% end %>
